> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/companies.md).

# Companies

## All Companies

> This endpoint is used to fetch all companies in the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/":{"get":{"operationId":"company_list","description":"This endpoint is used to fetch all companies in the current organization","summary":"All Companies","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CompanyList"}}}},"description":""}}}}}}
```

## Creates a new company

> This endpoint is used to save a new company for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/":{"post":{"operationId":"company_create","description":"This endpoint is used to save a new company for the current organization","summary":"Creates a new company","tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Gets a company with the given id

> This endpoint is used to fetch a company details for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/":{"get":{"operationId":"company_retrieve","description":"This endpoint is used to fetch a company details for the current organization","summary":"Gets a company with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Edits the company with the given id

> This endpoint is used to edit a company for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/{id}/":{"put":{"operationId":"company_update","description":"This endpoint is used to edit a company for the current organization","summary":"Edits the company with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes the company with the given id

> This endpoint is used to delete a company for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/{id}/":{"delete":{"operationId":"company_destroy","description":"This endpoint is used to delete a company for the current organization","summary":"Deletes the company with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Companies"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Get completed meetings for a company

> Returns completed meetings (start <= now) for a company, paginated by start time descending.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/completed-meetings/":{"get":{"operationId":"company_completed_meetings_retrieve","description":"Returns completed meetings (start <= now) for a company, paginated by start time descending.","summary":"Get completed meetings for a company","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Get contacts for a company

> This endpoint returns all contacts belonging to a given company

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/contacts/":{"get":{"operationId":"company_contacts_retrieve","description":"This endpoint returns all contacts belonging to a given company","summary":"Get contacts for a company","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true},{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page"},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number"}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Get uninvited contacts for a company

> Returns contacts of a company that are not yet linked to a customer user. Used for the Add Contact flow when inviting customers to a project.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/contacts-for-invite/":{"get":{"operationId":"company_contacts_for_invite_retrieve","description":"Returns contacts of a company that are not yet linked to a customer user. Used for the Add Contact flow when inviting customers to a project.","summary":"Get uninvited contacts for a company","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true},{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page"},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number"}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Get deals for a company

> This endpoint returns deals belonging to a given company.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/deals/":{"get":{"operationId":"company_deals_retrieve","description":"This endpoint returns deals belonging to a given company.","summary":"Get deals for a company","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true},{"in":"query","name":"next_cursor","schema":{"type":"string"},"description":"Cursor for next page"},{"in":"query","name":"page_size","schema":{"type":"integer"},"description":"Items Per Page"}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Get projects for a company

> This endpoint returns projects belonging to a given company.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/projects/":{"get":{"operationId":"company_projects_retrieve","description":"This endpoint returns projects belonging to a given company.","summary":"Get projects for a company","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true},{"in":"query","name":"next_cursor","schema":{"type":"string"},"description":"Cursor for next page"},{"in":"query","name":"page_size","schema":{"type":"integer"},"description":"Items Per Page"}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Get tasks for a company

> This endpoint returns tasks belonging to the account linked to a given company.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/tasks/":{"get":{"operationId":"company_tasks_retrieve","description":"This endpoint returns tasks belonging to the account linked to a given company.","summary":"Get tasks for a company","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true},{"in":"query","name":"next_cursor","schema":{"type":"string"},"description":"Cursor for next page"},{"in":"query","name":"page_size","schema":{"type":"integer"},"description":"Items Per Page"}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Get upcoming meetings for a company

> Returns upcoming meetings (start > now) for a company, paginated by start time ascending.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"CompanyList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"company_id":{"type":"string"},"display_id":{"type":"string","nullable":true,"maxLength":100},"company_name":{"type":"string","maxLength":255},"domain":{"type":"string","nullable":true},"linkedin_url":{"type":"string","readOnly":true},"twitter_url":{"type":"string","readOnly":true},"hq_location":{"type":"string","readOnly":true},"hq_country":{"type":"string","readOnly":true},"industry":{"type":"string","readOnly":true},"employee_range":{"type":"string","nullable":true},"estimated_arr":{"type":"string","readOnly":true},"description":{"type":"string","nullable":true},"logo_url":{"type":"string","readOnly":true},"company_owner":{"type":"string","readOnly":true},"company_type":{"type":"string","nullable":true},"lead_status":{"type":"string","readOnly":true},"icp_fit":{"type":"string","nullable":true},"customer_segment":{"type":"string","readOnly":true},"connection_strength":{"type":"string","nullable":true},"connection_source":{"type":"string","nullable":true},"operating_regions":{"type":"string","readOnly":true},"category":{"type":"string","nullable":true},"vendor_being_replaced":{"type":"string","nullable":true},"replacement_urgency":{"type":"string","nullable":true},"partner_type":{"type":"string","readOnly":true},"parent_company":{"type":"string","nullable":true},"investors":{"type":"string","readOnly":true},"partners":{"type":"string","readOnly":true},"subsidiaries":{"type":"string","readOnly":true},"contacts_count":{"type":"string","readOnly":true},"is_draft":{"type":"boolean"},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"record_source":{"type":"string","readOnly":true},"custom_fields":{"type":"object","additionalProperties":{}},"associated_deal_project":{"type":"string","readOnly":true}},"required":["associated_deal_project","company_id","company_name","company_owner","contacts_count","customer_segment","estimated_arr","hq_country","hq_location","id","industry","investors","lead_status","linkedin_url","logo_url","operating_regions","partner_type","partners","record_source","subsidiaries","twitter_url"]}}},"paths":{"/api/company/{id}/upcoming-meetings/":{"get":{"operationId":"company_upcoming_meetings_retrieve","description":"Returns upcoming meetings (start > now) for a company, paginated by start time ascending.","summary":"Get upcoming meetings for a company","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Companies"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyList"}}},"description":""}}}}}}
```

## Company Activities for a company

> Returns all activities for the company id given

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/activities/":{"get":{"operationId":"company_activities_retrieve","description":"Returns all activities for the company id given","summary":"Company Activities for a company","tags":["Companies"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Bulk delete companies

> Bulk delete companies by their IDs

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/bulk-delete/":{"post":{"operationId":"company_bulk_delete_create","description":"Bulk delete companies by their IDs","summary":"Bulk delete companies","tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Bulk publish companies

> Publish multiple companies by setting is\_draft=False

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/bulk-publish/":{"post":{"operationId":"company_bulk_publish_create","description":"Publish multiple companies by setting is_draft=False","summary":"Bulk publish companies","tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Updates a company category name

> This endpoint is used to update the name of a company category

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/category/":{"post":{"operationId":"company_category_create","description":"This endpoint is used to update the name of a company category","summary":"Updates a company category name","tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes a company category

> This endpoint is used to delete a company category

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/del_category/":{"post":{"operationId":"company_del_category_create","description":"This endpoint is used to delete a company category","summary":"Deletes a company category","tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Company field config

> Get or save custom field definitions for companies

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/field-config/":{"get":{"operationId":"company_field_config_retrieve","description":"Get or save custom field definitions for companies","summary":"Company field config","tags":["Companies"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Company field config

> Get or save custom field definitions for companies

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/field-config/":{"put":{"operationId":"company_field_config_update","description":"Get or save custom field definitions for companies","summary":"Company field config","tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Bulk import companies

> This endpoint is used to bulk import companies from a CSV-parsed array

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/import/":{"post":{"operationId":"company_import_create","description":"This endpoint is used to bulk import companies from a CSV-parsed array","summary":"Bulk import companies","tags":["Companies"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Company form options

> Returns all dropdown options for the company form including org verticals

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/company/options/":{"get":{"operationId":"company_options_retrieve","description":"Returns all dropdown options for the company form including org verticals","summary":"Company form options","tags":["Companies"],"responses":{"200":{"description":"No response body"}}}}}}
```
